Subject: Re: bug#41440: 26.3; 'replace' argument in function 'shell-command-on-region' is assumed to be always t for rectangle selection

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 May 2020 10:25:25 +0300

> From: Warren Lynn <[email-masked]>
> Date: Thu, 21 May 2020 14:53:05 -0400
> 
> I am gladly surprised to find out function
> shell-command-on-region
> is supposed to work on rectangle selection also (with 'region-noncontiguous-p' set to t), but then
> disappointed to find out the feature does not work. It has two problems:
> 
> 1. As this email title says, argument 'replace' is assumed to be t no matter what.
> 2. Even if I really want to replace the original selection with the shell-command output, it still does not work.
> An error will be thrown in function "cua--insert-rectangle" due to some argument type mismatch.
> 
> This feature will be very useful to me (and hopefully others too) and I hope somebody can fix the above.

Please tell the details: how you marked the rectangle, how you invoked
shell-command-on-region, and what did you see as result.

Thanks.